Skip to content

Create an internal article

Request

You can create a new internal article by making a POST request to https://api.intercom.io/internal_articles.

Requires the read_write_articles_scope OAuth scope.

Security
bearerAuth
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
If you omit the header, the API uses the version set in your app package, and 1.0 if none is set.

Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.17
Bodyapplication/json
titlestringrequired

The title of the article.

Example:"Thanks for everything"
bodystring

The content of the article in HTML. Mutually exclusive with body_markdown.

Example:"<p>This is the body in html</p>"
body_markdownstring

The content of the article in markdown. An alternative to body — you can provide content as markdown instead of HTML. Mutually exclusive with body and json_blocks.

Example:"# Internal Guide\n\nSome instructions.\n"
json_blocksArray of objects

The content of the article as a list of content blocks. Used only when body is not provided. Cannot be combined with body_markdown.

localestring

The locale of the article. Defaults to en.

Example:"en"
author_idintegerrequired

The id of the author of the article.

Example:1295
owner_idintegerrequired

The id of the owner of the article.

Example:1295
folder_idinteger or null

The ID of the folder to place this article in. Pass null to leave it without a folder.

Example:6
audience_idsArray of integers or null

The list of audience IDs to target this internal article to for Fin AI Agent. Pass an empty array or omit the field for no audience targeting. Unknown audience IDs return a 404 error with no partial commit.

Example:
[ 1, 2 ]
ai_chatbot_availabilityboolean

Whether the internal article should be available for AI Chatbot (Fin). Defaults to false.

Default:false
Example:true
ai_copilot_availabilityboolean

Whether the internal article should be available for AI Copilot. Defaults to false.

Default:false
Example:true
ai_sales_agent_availabilityboolean

Whether the internal article should be available for AI Sales Agent. Defaults to false.

Default:false
Example:true
curl -i -X POST \
  https://api.intercom.io/internal_articles \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'Intercom-Version: 2.17' \
  -d '{
    "title": "Thanks for everything",
    "body": "Body of the Article",
    "owner_id": 991266252,
    "author_id": 991266252,
    "locale": "en"
  }'

Responses

internal article created

Bodyapplication/json
idinteger

The unique identifier for the article which is given by Intercom.

Example:6871119
titlestring

The title of the article.

bodystring or null

The body of the article in HTML.

Example:"Default language body in html"
body_markdownstring or null

The body of the article in markdown.

Example:"# Internal Guide\n\nBody of the article in markdown\n"
owner_idinteger

The id of the owner of the article.

Example:5017691
author_idinteger

The id of the author of the article.

Example:5017691
created_atinteger, (date-time)

The time when the article was created.

Example:1672928359
updated_atinteger, (date-time)

The time when the article was last updated.

Example:1672928610
localestring

The default locale of the article.

folder_idinteger or null

The ID of the folder this article belongs to, or null if not in a folder.

Example:6
audience_idsArray of integers or null

The list of audience IDs this internal article is targeted to for Fin AI Agent. Empty array means no audience targeting is set.

Example:
[ 1, 2 ]
ai_chatbot_availabilityboolean

Whether the internal article is available for AI Chatbot (Fin).

Example:true
ai_copilot_availabilityboolean

Whether the internal article is available for AI Copilot.

Example:true
ai_sales_agent_availabilityboolean

Whether the internal article is available for AI Sales Agent.

Example:true
tagsobject(Tags)

A list of tags objects associated with a conversation, article or internal article

Response
{ "id": 42, "title": "Thanks for everything", "body": "Body of the Article", "owner_id": 991266252, "author_id": 991266252, "locale": "en" }